import sys
import traceback

def logException():
    ( exception_type, exception , tb ) = sys.exc_info()    
    ss = '{0} => {1}\n'.format( exception_type , exception )
    ii = 0
    for (fn, linenum , func , line ) in traceback.extract_tb(tb):
        ss += '   {4} | {2:<20} | {0:<20} | {1:>3} | {3:<20}\n'.format(fn,linenum,func,line,ii);
        ii += 1
    print ss
